I used Lumi Lite but prefer to use Lumi. How do I switch?

Lumi Lite version doesn’t support BIP-32 and BIP-44, that is why you cannot import your Lumi Lite mnemonic to Lumi. We suggest you simply download the new Lumi HD version and transfer your funds to the newly created HD wallet.

Before submitting a support request please carefully read these existing answers on frequently asked questions.

Drop us a line at hello@lumiwallet.com